summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2018-06-07 02:01:27 +0200
committerThomas Deutschmann <whissi@gentoo.org>2018-06-07 02:01:27 +0200
commit73ac8bf55325475ae98cf3eca128388f73f15649 (patch)
tree4806caa790cd078a5dc53cc3f306a14c4423cc3c /net-firewall/shorewall
parentnet-firewall/shorewall: x86 stable, applying ALLARCHES policy (diff)
downloadgentoo-73ac8bf55325475ae98cf3eca128388f73f15649.tar.gz
gentoo-73ac8bf55325475ae98cf3eca128388f73f15649.tar.bz2
gentoo-73ac8bf55325475ae98cf3eca128388f73f15649.zip
net-firewall/shorewall: drop old
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'net-firewall/shorewall')
-rw-r--r--net-firewall/shorewall/Manifest21
-rw-r--r--net-firewall/shorewall/files/shorewall-lite.initd-r290
-rw-r--r--net-firewall/shorewall/files/shorewall.initd-r2107
-rw-r--r--net-firewall/shorewall/files/shorewallrc-r224
-rw-r--r--net-firewall/shorewall/shorewall-5.1.12.4.ebuild459
-rw-r--r--net-firewall/shorewall/shorewall-5.2.0.2.ebuild459
-rw-r--r--net-firewall/shorewall/shorewall-5.2.0.3.ebuild459
7 files changed, 0 insertions, 1619 deletions
diff --git a/net-firewall/shorewall/Manifest b/net-firewall/shorewall/Manifest
index ad42f46bf1c..df74226f872 100644
--- a/net-firewall/shorewall/Manifest
+++ b/net-firewall/shorewall/Manifest
@@ -1,28 +1,7 @@
-DIST shorewall-5.1.12.4.tar.bz2 555854 BLAKE2B 697fb7dbe4217b3a8d7230b3d79cec94f33ff69975b9f52477def8424e2ed9c79614e5aff4a40e31c2c0c69bc32f88c40810b7b1e5381037df1cf225b8bf97ec SHA512 25038865df0b3a4d1bcdb14b58108cd0f42e8738c3415ef2ce6fcbf3b15fc651fa90ce6adcfc3c67d6e0dd18709c4862a3ca18f1976e6c96567db6cdae86e000
-DIST shorewall-5.2.0.2.tar.bz2 537374 BLAKE2B 650b3f23307be51b3a4ce75dcdfb3024ab476b5b5a2119b92181a8fc304ea6c4d1bdad342163eff4ea797d6dd18de0c0f1cf26d4de1e48f5fb0b384c25c85edf SHA512 e80525599956316fbd1421fce95e2e6adc0a2992ef1791b3d4d5a339100859c34396e19ee4f00f430f5808fc160c09e6f7a7f4f619bbbe21422524f1daaa1849
-DIST shorewall-5.2.0.3.tar.bz2 538053 BLAKE2B 1488177b2151c90790cc3f1d9dd186e502189cc483a908e477adf878d52feb423e4a64c7a39470555ac06329124f01fd5918dd4d0b404f0435ab3ad34be0bd18 SHA512 37ae7d0ea9ebb86f75cf9a4572ee84118aba87b2690c76457f76313502a3abd96b5f5b700d7c650d98db7f0655d8f2ba0a0fece269613bb153fa3a2f6158b05b
DIST shorewall-5.2.0.4.tar.bz2 538938 BLAKE2B 1df68e166f5f443f120b9f45010da005b3d86a51d09c059d0886a2735c6d27c1568ae0422998f001deb48c512cb9fed23cbad423754682b06e9a4b5176b45cef SHA512 b44622972d4b4ffcde9d7da57d3994279f3962bb2d2e13892d7d77453da502527ab89cb59fb6692341b5d166cb7a3e31909df31dc21c758707eff29f3ab2c9a0
-DIST shorewall-core-5.1.12.4.tar.bz2 86548 BLAKE2B 8384c2f8ec673db3f0fed04af702e1967d41133f3a066ba09cbd58199654878d4d6c73730a933525304d68f7834c80d5c2a2452a4dd6faa71e2580deadf3189e SHA512 f77ae4080fa81a3259ab620ba7615c4188e6bec0244e898702dc641aacd8ac54160331e270b3708d818bfa9452cf96014868199a48c28f15c50d128365cb62e6
-DIST shorewall-core-5.2.0.2.tar.bz2 75108 BLAKE2B 2523d3fbdb0755c9c14195dedd0a4db2329b96a1ac5bde1eed1f0bb5623f89e18fab641d84074999b3058f73da75c9d306d372e02fac0bd735b0247256dad123 SHA512 1a6b94d25a09eeb464e4e35dee6e10a505d9fe271f034bc92763bed5c7bae44f88de68321f4b21bef4ef6e199d746d24fb4be077c676f96d9c84d8dfd453f370
-DIST shorewall-core-5.2.0.3.tar.bz2 75625 BLAKE2B fd8ae63da974088958ffb4a0a9b3d740556f60e1f73b50614af1fd337cf0c715cbd79f003085df1d6a2e1ad1203b8f322aea56e4808dbc920c3c09ef7011a4d5 SHA512 c67f0c64272c03650d4c3a727bcc0f9fc5771eb10e8b914e0c4709b4fda5ee1bea98a6e2a84eb43ee44a41005d8b05bf869ec7c61be582d3b82936f33a6d3d0a
DIST shorewall-core-5.2.0.4.tar.bz2 76022 BLAKE2B 58602e01f7a7b6e6853c847fa38bfff2fbeb57ea68ffd124f9e556b0137bef65bfe25c8b7c70f0d6fc7b21dab7e82401985a08f0a1a8c4ca6159cbfd1862712c SHA512 bfd21f249fa3b7a952bf9aeead91eac0f7db6c2f3c386e9d2aca9645916b8a799ce58ac7b6edb93d0b934d224824f9cd94b8db63a0b35a260051209613561bf4
-DIST shorewall-docs-html-5.1.12.4.tar.bz2 4281202 BLAKE2B 51624bf6a36766fa8f1aad9600885dc2b92f656ef3a7bc6cf3704a33d2e014af590bbe1621793bd77d291baa3441a0f493c27f838159ccbb15b0684ab26f4bef SHA512 e1592137013b463a7cbd28c7354f51b36460c054d55e1819198b72c600ccbdc8b3fee4bab33d7a71466397338bd38e0aa6312f1c182e79052f249c51d1017dc1
-DIST shorewall-docs-html-5.2.0.2.tar.bz2 4294083 BLAKE2B 3ce667e656359f7d2f27bd03a47f2eae9f407a04f7b2921ad7099729164c40b3a88b2651052c3b28a3ab404953bef811da499f6acd4eb432648bf6d727124a20 SHA512 751f2c426e8abe9a5af396df39d4b67ccf674113b4b595916c6d44c14ace67f82ae2ffc84500b25d2876f0356b02c96383068d54fa97804afe464d2d5eccba31
-DIST shorewall-docs-html-5.2.0.3.tar.bz2 4295064 BLAKE2B a4913ac5138a2ee1c0c8640a7e2ea4e40bd4324aee0ffd6d4b228b41065d4d4e9e55ef0d600fd93dca8cb3ee73aeb2df196496d68dd11b40b23ce7c96ec0f9d6 SHA512 1e887b7eb0c4d0a78be7857a537f7cfa1307b43feed6396c5db289de5a2ea13547e25311bdd1e1dd48cd460e12ff71ce1520f1ec0feab87753f10cfeb45873c1
DIST shorewall-docs-html-5.2.0.4.tar.bz2 4294681 BLAKE2B b6e975ddefae5dc7fd0a9be58c6fd231e828ed8e18e2405202766068b37796c075785c2cc05f25bc9decc50fbdfc01bad8d8f929b90592aa2e8cc040719e3cf1 SHA512 2685161f9d25cf745831f603129c4e9a33a264118698392f589e481a76bcb082dad14c9be6dc57c29441eb9807d842e5f08b3483e1e03099f0059f10ea907d91
-DIST shorewall-init-5.1.12.4.tar.bz2 41541 BLAKE2B 149b31b2ffd37c64cfc69de7d2d3a39824ce427a98a84f4e96af02aad9e04f0973f862ea0b158245a1d806504dc0dac9a5a554776d9533a7c88dbf6c096d4d07 SHA512 971f0a7a25f49c289e9c9d6d564e05b7f2675d271ef95c15b06a4a4e878a74c5b13a1ea80411014a5130f53267df6691042b313c423db193b9cd6cde172ed359
-DIST shorewall-init-5.2.0.2.tar.bz2 29749 BLAKE2B c70067951d458bc54434214dc2b4764c0c52aca457a21c4c77d3ae6cc0586fc5ce325549f7a5df9c18c255113e7d71a4f687a6a72fc81528b7611a3edacab864 SHA512 1fef0feea7e36d2f12373e64d898129e2e49c66f3f182fad950f5aced6615ff2b59cea66c1d2c475e9a781c0faf50541642c71e69dda68fa41ab86509134b511
-DIST shorewall-init-5.2.0.3.tar.bz2 30209 BLAKE2B 93e80935fd659b073e85ea0281f749a8bfebcc752e8fb1134af21a0bf262c7a7ba0f96ed8ce2aba37b592cd4bfef0a8e714dce25c3e1af9529c4acafe52502cd SHA512 988342ba1755373ecc89bf139eb6ca7a3fb78081a84e510a2827d174129bb24e06cb36fb474f9cce1056879997bc641152da18d8feb57429686a88e8cc1c8b9d
DIST shorewall-init-5.2.0.4.tar.bz2 30526 BLAKE2B a8ac5bf7e650a58d87b608321e0ed40d8b73ed675d5b5b64ff5859149f04aca507d7a83ff6ca9c7801c84fb416d22fdc930199731a9134ef529b29cf1ec01a67 SHA512 c4e2bcf5a2f7b8fae30773a930ac7433cc8678f7bb52958ecd92a4ce5f0a78041e45578bd47e01ad72fe9fc1a3cbcda2995bd9379cc90917a31b3f676c12beb6
-DIST shorewall-lite-5.1.12.4.tar.bz2 47209 BLAKE2B ca39daa7a864b86cd9075f8604d053984ef8c451285520c568b83171163513bdbe7f910b21638f4f69e716d4bdbb4f148856b02dbe83392789d8b962669374e1 SHA512 1bcdb90fccc634103ff190be9a058abf1b5158d562702c8c1ad51e8edebc2939271f3279bcb0fd8ff7389ea175387ce5a090a0d9e5655524a11203b5c0d55604
-DIST shorewall-lite-5.2.0.2.tar.bz2 35577 BLAKE2B 462480b73a4cb70e2c09f7b1c4607cc748d1ff5d6ca511b2076edd7872865442ede343e3b26be2c46665a1c6beed5290584ccf0da6f93bc62ea1da1faf90abb3 SHA512 eb68b4b2b92a87c80f80b950bb5c2fc4f035f7650d786e4999d262bb21e2a5ee439e804aee4b3b0fb187b086ba4d899725a031f38d4138bec151969f9a874663
-DIST shorewall-lite-5.2.0.3.tar.bz2 36011 BLAKE2B 42e362eb8a17c8115ae3afd5985a367b51abda853466d204de033a064b7cdf9967596d10eb064fa61378c5292661bc884face83ab1f54cf30526e978c562346f SHA512 d76a63e8a1ab7701c91d5344f7dbe29f3cc3f10ca7b5f7886573e41f828f53e5a50af94004abbe01ab2a52551a86b25f4bce74f867cc8b5a0d9b28ec10ba7ae4
DIST shorewall-lite-5.2.0.4.tar.bz2 36307 BLAKE2B ad95e4f640ae1f05936dd5dbc87e4acaf6dd576bd6704f650c8bfdc437284f0c121563427f89dbe5de4e19f543f3e182ff0d5a333da8c8416aae24994ac52ed0 SHA512 55bb514d9446c953de0453b8016105ed2471420d2ca6346cbd986f03cec5e713a1d27d5e08ddc6cf54cd6e5f936cf9a826eac622596480374929f41c062e8803
-DIST shorewall6-5.1.12.4.tar.bz2 197179 BLAKE2B 1c120388d0b8eafdbf6ec2fb64a8cc3e1e301dd109bb03f5dcfce60c534489210f669327eaa07bac5fbc7497e39c9167586f02017318ce9a2b054b4a39e4ae50 SHA512 9ff09b093f641452d3c5d615163336c903c74d4133cd620982760df6b8ee3acc704c460adb5db52b109f768d623152e47617c7d05742c2e6f19527c34eec9a61
-DIST shorewall6-5.2.0.2.tar.bz2 186161 BLAKE2B 97414d6c8d3c6cf9100330ff6d9be9808f9aa354ab4c535429b8593dba0d5f328469bd42e928f33f66ba40a0e91dfcc45d47d2b405a6ccdc814fb1e2c9a977dc SHA512 ec551998f04cd9b1ac0c791cbdc45068b402d5be89e2fd0e1a6eb95b288b339ed49c23bac73e81f324e8c277b66772d2ef5b11aed7a4b085a5ed0047fb96b1da
-DIST shorewall6-5.2.0.3.tar.bz2 185097 BLAKE2B dcbb3d42f257a2ed4c9f8e1f5185651700a7735d509c0f2a213608fb4c854c50c7330969f370449df62d5c95c9bbff609f955aafe472208940f83ddfe4da50db SHA512 ef14ac0759afe95a27c0a3a6217d884c0d95636cbee342c24c49ccc77f4538c2175a91866f96d7e79c992ab062d9a7a3e005a4580aaf4ccfe5ff524062bde8df
DIST shorewall6-5.2.0.4.tar.bz2 186267 BLAKE2B 4076c94596e462d4f150d734700d400db90ca1d0bd788152e5421d581890cf28d7e6546d2ac0c604625cdf25771415229b2a3324153ec5439cddfcab73464ae5 SHA512 e8989b5c6fcc1162f42e884cdb0fff47baed61b69c39b8bbdaf78b246f95ee0bf6690fce3a6ae14eff2bf48d64b762b170d67462dc685f594dfd70a2e3720a01
-DIST shorewall6-lite-5.1.12.4.tar.bz2 46902 BLAKE2B 6e9bad615833beacbb0d4b779dc8479cad73c1964bc2220541419b99a7fc8dd1b57ca42d61d6ef708460beffa65106166dbd5c60a90ce7f4cdf60ce3a879defb SHA512 95b5b96b3744bd1a499d00b4f98d71b264369752e6fd9ede21717657785833d1124b97434fe33457bc6f80026b204eb9306d73af9eb8abf23840291ecc1caf32
-DIST shorewall6-lite-5.2.0.2.tar.bz2 35311 BLAKE2B bb25abc719c776571273219df6a3ba89ffe2553efbb4e93755b3deabce9f34851024f72d5ab328ee9caa55ab3744e35f08013ae8fda19c480e6d907e7257f8fe SHA512 2c39805d17cd8d9710d175d583958cc25ac0f78351a36c36ff57e7a9c8db87bd64ddf5c27352c916d42db2a26864cb9e96f83e5b1677e24964e67315dc2fb086
-DIST shorewall6-lite-5.2.0.3.tar.bz2 35704 BLAKE2B bad1f19cb53258a33bb8bc15cc4bab24c00a2fe1d63b95859565466ef549726efa70ce8ba9e8aa6317eaae3106e32c0ad41bc92d34e111011b66382476a2dda6 SHA512 272f47172267d5b31a2fe46fdae20cf18215a2ec9833eb634eced80d3f0e40a99d7dff8ae856f536bce425392ab9b4aaa7f7e19eb55958224f9f1c0769c72069
DIST shorewall6-lite-5.2.0.4.tar.bz2 36035 BLAKE2B edbdee2b979c0d2144e358b6e8b52808578923498c0da4f906ed6aa8460153879dd5f8b4cf98da4bcecc90a6a776d39ef17492881c093a018ccdc5b86e0c0bab SHA512 c212ba3f6bacab1b26bbc5c13a2bac2f1f796c7fa3d442f398c91ff367f242a9562ff2191b9b678e82d07a96c2dc39a0109d30417154e6cfd4f2c4c6e31b616f
diff --git a/net-firewall/shorewall/files/shorewall-lite.initd-r2 b/net-firewall/shorewall/files/shorewall-lite.initd-r2
deleted file mode 100644
index b319a0e7af2..00000000000
--- a/net-firewall/shorewall/files/shorewall-lite.initd-r2
+++ /dev/null
@@ -1,90 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-if [ "${RC_SVCNAME}" = "shorewall6-lite" ]; then
- PRODUCT_NAME="Shorewall6-Lite"
- command="/usr/sbin/shorewall6-lite"
-else
- PRODUCT_NAME="Shorewall-Lite"
- command="/usr/sbin/shorewall-lite"
-fi
-
-description="The Shoreline Firewall Lite, more commonly known as \"${PRODUCT_NAME}\", is"
-description="${description} a high-level tool for configuring Netfilter."
-
-extra_commands="clear"
-extra_started_commands="reload reset"
-
-description_clear="Clear will remove all rules and chains installed by"
-description_clear="${description_clear} ${PRODUCT_NAME}. The firewall is"
-description_clear="${description_clear} then wide open and unprotected."
-
-description_reload="Reload is similar to \"${RC_SERVICE} start\" except that it assumes"
-description_reload="${description_reload} that the firewall is already started."
-description_reload="${description_reload} Existing connections are maintained."
-
-description_reset="All the packet and byte counters in the firewall are reset."
-
-depend() {
- provide firewall
- after ulogd
-}
-
-clear() {
- ebegin "Clearing all ${RC_SVCNAME} rules and setting policy to ACCEPT"
- ${command} ${OPTIONS} clear 1>/dev/null
- eend $?
-}
-
-reload() {
- ebegin "Reloading ${RC_SVCNAME}"
- ${command} ${OPTIONS} reload ${RELOADOPTIONS} 1>/dev/null
- eend $?
-}
-
-reset() {
- ebegin "Resetting the packet and byte counters in ${RC_SVCNAME}"
- ${command} ${OPTIONS} reset 1>/dev/null
- eend $?
-}
-
-restart() {
- local _retval
- ebegin "Restarting ${RC_SVCNAME}"
- ${command} status 1>/dev/null
- _retval=$?
- if [ ${_retval} = '0' ]; then
- svc_start
- else
- ${command} ${OPTIONS} restart ${RESTARTOPTIONS} 1>/dev/null
- fi
- eend $?
-}
-
-start() {
- ebegin "Starting ${RC_SVCNAME}"
- ${command} ${OPTIONS} start ${STARTOPTIONS} 1>/dev/null
- eend $?
-}
-
-status() {
- local _retval
- ${command} status 1>/dev/null
- _retval=$?
- if [ ${_retval} = '0' ]; then
- einfo 'status: started'
- mark_service_started "${SVCNAME}"
- return 0
- else
- einfo 'status: stopped'
- mark_service_stopped "${SVCNAME}"
- return 3
- fi
-}
-
-stop() {
- ebegin "Stopping ${RC_SVCNAME}"
- ${command} ${OPTIONS} stop ${STOPOPTIONS} 1>/dev/null
- eend $?
-}
diff --git a/net-firewall/shorewall/files/shorewall.initd-r2 b/net-firewall/shorewall/files/shorewall.initd-r2
deleted file mode 100644
index 4826610e221..00000000000
--- a/net-firewall/shorewall/files/shorewall.initd-r2
+++ /dev/null
@@ -1,107 +0,0 @@
-#!/sbin/openrc-run
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-if [ "${RC_SVCNAME}" = "shorewall6" ]; then
- PRODUCT_NAME="Shorewall6"
- command="/usr/sbin/shorewall6"
-else
- PRODUCT_NAME="Shorewall"
- command="/usr/sbin/shorewall"
-fi
-
-description="The Shoreline Firewall, more commonly known as \"${PRODUCT_NAME}\", is"
-description="${description} a high-level tool for configuring Netfilter."
-
-extra_commands="check clear"
-extra_started_commands="refresh reload reset"
-
-description_check="Checks if the configuration will compile or not."
-
-description_clear="Clear will remove all rules and chains installed by"
-description_clear="${description_clear} ${PRODUCT_NAME}. The firewall is then"
-description_clear="${description_clear} wide open and unprotected."
-
-description_refresh="The mangle table will be refreshed along with the"
-description_refresh="${description_refresh} blacklist chain (if any)."
-
-description_reload="Reload is similar to \"${RC_SERVICE} start\" except that it assumes"
-description_reload="${description_reload} that the firewall is already started."
-description_reload="${description_reload} Existing connections are maintained."
-
-description_reset="All the packet and byte counters in the firewall are reset."
-
-depend() {
- provide firewall
- after ulogd
-}
-
-check() {
- ebegin "Checking ${RC_SVCNAME} configuration"
- ${command} ${OPTIONS} check 1>/dev/null
- eend $?
-}
-
-clear() {
- ebegin "Clearing all ${RC_SVCNAME} rules and setting policy to ACCEPT"
- ${command} ${OPTIONS} clear 1>/dev/null
- eend $?
-}
-
-refresh() {
- ebegin "Refreshing ${RC_SVCNAME} rules"
- ${command} ${OPTIONS} refresh 1>/dev/null
- eend $?
-}
-
-reload() {
- ebegin "Reloading ${RC_SVCNAME}"
- ${command} ${OPTIONS} reload ${RELOADOPTIONS} 1>/dev/null
- eend $?
-}
-
-reset() {
- ebegin "Resetting the packet and byte counters in ${RC_SVCNAME}"
- ${command} ${OPTIONS} reset 1>/dev/null
- eend $?
-}
-
-restart() {
- local _retval
- ebegin "Restarting ${RC_SVCNAME}"
- ${command} status 1>/dev/null
- _retval=$?
- if [ ${_retval} = '0' ]; then
- svc_start
- else
- ${command} ${OPTIONS} restart ${RESTARTOPTIONS} 1>/dev/null
- fi
- eend $?
-}
-
-start() {
- ebegin "Starting ${RC_SVCNAME}"
- ${command} ${OPTIONS} start ${STARTOPTIONS} 1>/dev/null
- eend $?
-}
-
-status() {
- local _retval
- ${command} status 1>/dev/null
- _retval=$?
- if [ ${_retval} = '0' ]; then
- einfo 'status: started'
- mark_service_started "${SVCNAME}"
- return 0
- else
- einfo 'status: stopped'
- mark_service_stopped "${SVCNAME}"
- return 3
- fi
-}
-
-stop() {
- ebegin "Stopping ${RC_SVCNAME}"
- ${command} ${OPTIONS} stop ${STOPOPTIONS} 1>/dev/null
- eend $?
-}
diff --git a/net-firewall/shorewall/files/shorewallrc-r2 b/net-firewall/shorewall/files/shorewallrc-r2
deleted file mode 100644
index ecc21a23875..00000000000
--- a/net-firewall/shorewall/files/shorewallrc-r2
+++ /dev/null
@@ -1,24 +0,0 @@
-#
-# Gentoo Shorewall 5.1 rc file
-#
-BUILD=gentoo #Default is to detect the build system
-HOST=gentoo #Gentoo GNU Linux
-PREFIX=@GENTOO_PORTAGE_EPREFIX@/usr #Top-level directory for shared files, libraries, etc.
-SHAREDIR=${PREFIX}/share #Directory for arch-neutral files.
-LIBEXECDIR=${PREFIX}/share #Directory for executable scripts.
-PERLLIBDIR=${PREFIX}/share/shorewall #Directory to install Shorewall Perl module directory
-CONFDIR=@GENTOO_PORTAGE_EPREFIX@/etc #Directory where subsystem configurations are installed
-SBINDIR=${PREFIX}/sbin #Directory where system administration programs are installed
-MANDIR=${PREFIX}/share/man #Directory where manpages are installed.
-INITDIR=${CONFDIR}/init.d #Directory where SysV init scripts are installed.
-INITFILE=${PRODUCT} #Name of the product's installed SysV init script
-INITSOURCE=init.gentoo.sh #Name of the distributed file to be installed as the SysV init script
-ANNOTATED= #If non-zero, annotated configuration files are installed
-SERVICEDIR=tbs #Directory where .service files are installed (systems running systemd only)
-SERVICEFILE=gentoo.service #Name of the distributed file to be installed as systemd service file
-SYSCONFFILE=default.gentoo #Name of the distributed file to be installed in $SYSCONFDIR
-SYSCONFDIR=${CONFDIR}/conf.d #Directory where SysV init parameter files are installed
-SPARSE= #If non-empty, only install $PRODUCT/$PRODUCT.conf in $CONFDIR
-VARLIB=@GENTOO_PORTAGE_EPREFIX@/var/lib #Directory where product variable data is stored.
-VARDIR=${VARLIB}/${PRODUCT} #Directory where product variable data is stored.
-DEFAULT_PAGER=${PAGER} #Pager to use if none specified in shorewall[6].conf
diff --git a/net-firewall/shorewall/shorewall-5.1.12.4.ebuild b/net-firewall/shorewall/shorewall-5.1.12.4.ebuild
deleted file mode 100644
index d7c5285f28b..00000000000
--- a/net-firewall/shorewall/shorewall-5.1.12.4.ebuild
+++ /dev/null
@@ -1,459 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit linux-info prefix systemd versionator
-
-DESCRIPTION='A high-level tool for configuring Netfilter'
-HOMEPAGE="http://www.shorewall.net/"
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc +init +ipv4 ipv6 lite4 lite6 selinux"
-
-MY_PV=${PV/_rc/-RC}
-MY_PV=${MY_PV/_beta/-Beta}
-MY_P=${PN}-${MY_PV}
-
-MY_MAJOR_RELEASE_NUMBER=$(get_version_component_range 1-2)
-MY_MAJORMINOR_RELEASE_NUMBER=$(get_version_component_range 1-3)
-
-# shorewall
-MY_PN_IPV4=Shorewall
-MY_P_IPV4=${MY_PN_IPV4/#S/s}-${MY_PV}
-
-# shorewall6
-MY_PN_IPV6=Shorewall6
-MY_P_IPV6=${MY_PN_IPV6/#S/s}-${MY_PV}
-
-# shorewall-lite
-MY_PN_LITE4=Shorewall-lite
-MY_P_LITE4=${MY_PN_LITE4/#S/s}-${MY_PV}
-
-# shorewall6-lite
-MY_PN_LITE6=Shorewall6-lite
-MY_P_LITE6=${MY_PN_LITE6/#S/s}-${MY_PV}
-
-# shorewall-init
-MY_PN_INIT=Shorewall-init
-MY_P_INIT=${MY_PN_INIT/#S/s}-${MY_PV}
-
-# shorewall-core
-MY_PN_CORE=Shorewall-core
-MY_P_CORE=${MY_PN_CORE/#S/s}-${MY_PV}
-
-# shorewall-docs-html
-MY_PN_DOCS=Shorewall-docs-html
-MY_P_DOCS=${MY_PN_DOCS/#S/s}-${MY_PV}
-
-# Upstream URL schema:
-# Beta: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-Beta2/shorewall-4.6.4-Beta2.tar.bz2
-# RC: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-RC1/shorewall-4.6.4-RC1.tar.bz2
-# Release: $MIRROR/pub/shorewall/4.6/shorewall-4.6.3/shorewall-4.6.3.3.tar.bz2
-
-MY_URL_PREFIX=
-MY_URL_SUFFIX=
-if [[ ${MY_PV} = *-Beta* ]] || [[ ${MY_PV} = *-RC* ]]; then
- MY_URL_PREFIX='development/'
-
- _tmp_last_index=$(($(get_last_version_component_index ${MY_PV})+1))
- _tmp_suffix=$(get_version_component_range ${_tmp_last_index} ${MY_PV})
- if [[ ${_tmp_suffix} = *Beta* ]] || [[ ${_tmp_suffix} = *RC* ]]; then
- MY_URL_SUFFIX="-${_tmp_suffix}"
- fi
-
- # Cleaning up temporary variables
- unset _tmp_last_index
- unset _tmp_suffix
-else
- KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86"
-fi
-
-SRC_URI="
- http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-core-${MY_PV}.tar.bz2
- ipv4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-${MY_PV}.tar.bz2 )
- ipv6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-${MY_PV}.tar.bz2 )
- lite4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-lite-${MY_PV}.tar.bz2 )
- lite6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-lite-${MY_PV}.tar.bz2 )
- init? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-init-${MY_PV}.tar.bz2 )
- doc? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/${MY_P_DOCS}.tar.bz2 )
-"
-
-# - Shorewall6 requires Shorewall
-# - Installing Shorewall-init or just the documentation doesn't make any sense,
-# that's why we force the user to select at least one "real" Shorewall product
-#
-# See http://shorewall.net/download.htm#Which
-REQUIRED_USE="
- ipv6? ( ipv4 )
- || ( ipv4 lite4 lite6 )
-"
-
-# No build dependencies! Just plain shell scripts...
-DEPEND=""
-
-RDEPEND="
- >=net-firewall/iptables-1.4.20
- >=sys-apps/iproute2-3.8.0[-minimal]
- >=sys-devel/bc-1.06.95
- ipv4? (
- >=dev-lang/perl-5.16
- virtual/perl-Digest-SHA
- )
- ipv6? (
- >=dev-perl/Socket6-0.230.0
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- lite6? (
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- init? ( >=sys-apps/coreutils-8.20 )
- selinux? ( >=sec-policy/selinux-shorewall-2.20161023-r3 )
- !net-firewall/shorewall-core
- !net-firewall/shorewall6
- !net-firewall/shorewall-lite
- !net-firewall/shorewall6-lite
- !net-firewall/shorewall-init
- !<sys-apps/systemd-214
-"
-
-S=${WORKDIR}
-
-pkg_pretend() {
- local CONFIG_CHECK="~NF_CONNTRACK"
-
- local WARNING_CONNTRACK="Without NF_CONNTRACK support, you will be unable"
- local WARNING_CONNTRACK+=" to run any shorewall-based firewall on the local system."
-
- if use ipv4 || use lite4; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV4"
-
- local WARNING_CONNTRACK_IPV4="Without NF_CONNTRACK_IPV4 support, you will"
- local WARNING_CONNTRACK_IPV4+=" be unable to run any shorewall-based IPv4 firewall on the local system."
- fi
-
- if use ipv6 || use lite6; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV6"
-
- local WARNING_CONNTRACK_IPV6="Without NF_CONNTRACK_IPV6 support, you will"
- local WARNING_CONNTRACK_IPV6+=" be unable to run any shorewall-based IPv6 firewall on the local system."
- fi
-
- check_extra_config
-}
-
-pkg_setup() {
- if [[ -n "${DIGEST}" ]]; then
- einfo "Unsetting environment variable \"DIGEST\" to prevent conflicts with package's \"install.sh\" script ..."
- unset DIGEST
- fi
-}
-
-src_prepare() {
- # We are moving each unpacked source from MY_P_* to MY_PN_*.
- # This allows us to use patches from upstream and keeps epatch_user working
-
- einfo "Preparing shorewallrc ..."
- cp "${FILESDIR}"/shorewallrc-r2 "${S}"/shorewallrc.gentoo || die "Copying shorewallrc failed"
- eprefixify "${S}"/shorewallrc.gentoo
- sed -i \
- -e "s|SERVICEDIR=tbs|SERVICEDIR=$(systemd_get_systemunitdir)|" \
- "${S}"/shorewallrc.gentoo || die "Failed to update shorewallrc"
-
- # shorewall-core
- mv "${S}"/${MY_P_CORE} "${S}"/${MY_PN_CORE} || die "Failed to move '${S}/${MY_P_CORE}' to '${S}/${MY_PN_CORE}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_CORE} ..."
- ln -s ../shorewallrc.gentoo ${MY_PN_CORE}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- eend 0
-
- # shorewall
- if use ipv4; then
- mv "${S}"/${MY_P_IPV4} "${S}"/${MY_PN_IPV4} || die "Failed to move '${S}/${MY_P_IPV4}' to '${S}/${MY_PN_IPV4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV4}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r2 "${S}"/${MY_PN_IPV4}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall.systemd "${S}"/${MY_PN_IPV4}/gentoo.service || die "Copying shorewall.systemd failed"
- eend 0
- fi
-
- # shorewall6
- if use ipv6; then
- mv "${S}"/${MY_P_IPV6} "${S}"/${MY_PN_IPV6} || die "Failed to move '${S}/${MY_P_IPV6}' to '${S}/${MY_PN_IPV6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV6}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r2 "${S}"/${MY_PN_IPV6}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6.systemd "${S}"/${MY_PN_IPV6}/gentoo.service || die "Copying shorewall6.systemd failed"
- eend 0
- fi
-
- # shorewall-lite
- if use lite4; then
- mv "${S}"/${MY_P_LITE4} "${S}"/${MY_PN_LITE4} || die "Failed to move '${S}/${MY_P_LITE4}' to '${S}/${MY_PN_LITE4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE4}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r2 "${S}"/${MY_PN_LITE4}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall-lite.systemd "${S}"/${MY_PN_LITE4}/gentoo.service || die "Copying shorewall-lite.systemd failed"
- eend 0
- fi
-
- # shorewall6-lite
- if use lite6; then
- mv "${S}"/${MY_P_LITE6} "${S}"/${MY_PN_LITE6} || die "Failed to move '${S}/${MY_P_LITE6}' to '${S}/${MY_PN_LITE6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE6}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r2 "${S}"/${MY_PN_LITE6}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6-lite.systemd "${S}"/${MY_PN_LITE6}/gentoo.service || die "Copying shorewall6-lite.systemd failed"
- eend 0
- fi
-
- # shorewall-init
- if use init; then
- mv "${S}"/${MY_P_INIT} "${S}"/${MY_PN_INIT} || die "Failed to move '${S}/${MY_P_INIT}' to '${S}/${MY_PN_INIT}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_INIT}"
- ln -s ../shorewallrc.gentoo ${MY_PN_INIT}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-init.confd "${S}"/${MY_PN_INIT}/default.gentoo || die "Copying shorewall-init.confd failed"
- cp "${FILESDIR}"/shorewall-init.initd "${S}"/${MY_PN_INIT}/init.gentoo.sh || die "Copying shorewall-init.initd failed"
- cp "${FILESDIR}"/shorewall-init.systemd "${S}"/${MY_PN_INIT}/gentoo.service || die "Copying shorewall-init.systemd failed"
- cp "${FILESDIR}"/shorewall-init.readme "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt || die "Copying shorewall-init.systemd failed"
- eend 0
-
- eprefixify "${S}"/${MY_PN_INIT}/init.gentoo.sh
-
- cd "${S}"/${MY_PN_INIT} || die
- eapply -p2 "${FILESDIR}"/shorewall-init-01_remove-ipset-functionality-r1.patch
- cd "${S}" || die
- fi
-
- # shorewall-docs-html
- if use doc; then
- mv "${S}"/${MY_P_DOCS} "${S}"/${MY_PN_DOCS} || die "Failed to move '${S}/${MY_P_DOCS}' to '${S}/${MY_PN_DOCS}'"
- fi
-
- eapply_user
-}
-
-src_configure() {
- :;
-}
-
-src_compile() {
- :;
-}
-
-src_install() {
- # shorewall-core
- einfo "Installing ${MY_P_CORE} ..."
- DESTDIR="${D%/}" ${MY_PN_CORE}/install.sh shorewallrc.gentoo || die "${MY_PN_CORE}/install.sh failed"
- dodoc "${S}"/${MY_PN_CORE}/changelog.txt "${S}"/${MY_PN_CORE}/releasenotes.txt
-
- # shorewall
- if use ipv4; then
- einfo "Installing ${MY_P_IPV4} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV4}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV4}/install.sh failed"
- keepdir /var/lib/shorewall
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV4}/Samples
- fi
- fi
-
- # shorewall6
- if use ipv6; then
- einfo "Installing ${MY_P_IPV6} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV6}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV6}/install.sh failed"
- keepdir /var/lib/shorewall6
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV6}/Samples6
- fi
- fi
-
- # shorewall-lite
- if use lite4; then
- einfo "Installing ${MY_P_LITE4} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE4}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE4}/install.sh failed"
- keepdir /var/lib/shorewall-lite
- fi
-
- # shorewall6-lite
- if use lite6; then
- einfo "Installing ${MY_P_LITE6} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE6}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE6}/install.sh failed"
- keepdir /var/lib/shorewall6-lite
- fi
-
- # shorewall-init
- if use init; then
- einfo "Installing ${MY_P_INIT} ..."
- DESTDIR="${D%/}" ${MY_PN_INIT}/install.sh shorewallrc.gentoo || die "${MY_PN_INIT}/install.sh failed"
- dodoc "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt
-
- if [[ -f "${D}etc/logrotate.d/shorewall-init" ]]; then
- # On Gentoo, shorewall-init will not create shorewall-ifupdown.log,
- # so we don't need a logrotate configuration file for shorewall-init
- einfo "Removing unused \"${D}etc/logrotate.d/shorewall-init\" ..."
- rm -rf "${D}"etc/logrotate.d/shorewall-init || die "Removing \"${D}etc/logrotate.d/shorewall-init\" failed"
- fi
-
- if [[ -d "${D}etc/NetworkManager" ]]; then
- # On Gentoo, we don't support NetworkManager
- # so we don't need this folder at all
- einfo "Removing unused \"${D}etc/NetworkManager\" ..."
- rm -rf "${D}"etc/NetworkManager || die "Removing \"${D}etc/NetworkManager\" failed"
- fi
-
- if [[ -f "${D}usr/share/shorewall-init/ifupdown" ]]; then
- # This script isn't supported on Gentoo
- rm -rf "${D}"usr/share/shorewall-init/ifupdown || die "Removing \"${D}usr/share/shorewall-init/ifupdown\" failed"
- fi
- fi
-
- if use doc; then
- einfo "Installing ${MY_P_DOCS} ..."
- docinto html && dodoc -r "${S}"/${MY_PN_DOCS}/*
- fi
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- # This is a new installation
-
- # Show first steps for shorewall/shorewall6
- local _PRODUCTS=""
- if use ipv4; then
- _PRODUCTS="shorewall"
-
- if use ipv6; then
- _PRODUCTS="${_PRODUCTS}/shorewall6"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- elog "Before you can use ${_PRODUCTS}, you need to edit its configuration in:"
- elog ""
- elog " /etc/shorewall/shorewall.conf"
-
- if use ipv6; then
- elog " /etc/shorewall6/shorewall6.conf"
- fi
-
- elog ""
- elog "To activate your shorewall-based firewall on system start, please add ${_PRODUCTS} to your default runlevel:"
- elog ""
- elog " # rc-update add shorewall default"
-
- if use ipv6; then
- elog " # rc-update add shorewall6 default"
- fi
- fi
-
- # Show first steps for shorewall-lite/shorewall6-lite
- _PRODUCTS=""
- if use lite4; then
- _PRODUCTS="shorewall-lite"
- fi
-
- if use lite6; then
- if [[ -z "${_PRODUCTS}" ]]; then
- _PRODUCTS="shorewall6-lite"
- else
- _PRODUCTS="${_PRODUCTS}/shorewall6-lite"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- if use ipv4; then
- elog ""
- fi
-
- elog "Before you can use ${_PRODUCTS}, you need to provide a configuration, which you can"
- elog "create using ${CATEGORY}/shorewall (with \"ipv4\" and or \"ipv6\" USE flag)."
- elog ""
- elog "To read more about ${_PRODUCTS}, please visit"
- elog " http://shorewall.net/CompiledPrograms.html"
- elog ""
- elog "To activate your shorewall-lite-based firewall on system start, please add ${PRODUCTS} to your default runlevel:"
- elog ""
-
- if use lite4; then
- elog " # rc-update add shorewall-lite default"
- fi
-
- if use lite6; then
- elog " # rc-update add shorewall6-lite default"
- fi
- fi
-
- if use init; then
- elog ""
- elog "To secure your system on boot, please add shorewall-init to your boot runlevel:"
- elog ""
- elog " # rc-update add shorewall-init boot"
- elog ""
- elog "and review \$PRODUCTS in"
- elog ""
- elog " /etc/conf.d/shorewall-init"
- fi
-
- fi
-
- local v
- for v in ${REPLACING_VERSIONS}; do
- if ! version_is_at_least ${MY_MAJOR_RELEASE_NUMBER} ${v}; then
- # This is an upgrade
-
- elog "You are upgrading from a previous major version. It is highly recommended that you read"
- elog ""
- elog " - /usr/share/doc/shorewall*/releasenotes.tx*"
- elog " - http://shorewall.net/Shorewall-5.html#idp51151872"
-
- if use ipv4; then
- elog ""
- elog "You can auto-migrate your configuration using"
- elog ""
- elog " # shorewall update -A"
-
- if use ipv6; then
- elog " # shorewall6 update -A"
- fi
-
- elog ""
- elog "*after* you have merged the changed files using one of the configuration"
- elog "files update tools of your choice (dispatch-conf, etc-update...)."
-
- elog ""
- elog "But if you are not familiar with the \"shorewall[6] update\" command,"
- elog "please read the shorewall[6] man page first."
- fi
-
- # Show this elog only once
- break
- fi
- done
-
- if ! use init; then
- elog ""
- elog "Consider emerging ${CATEGORY}/${PN} with USE flag \"init\" to secure your system on boot"
- elog "before your shorewall-based firewall is ready to start."
- elog ""
- elog "To read more about shorewall-init, please visit"
- elog " http://www.shorewall.net/Shorewall-init.html"
- fi
-
- if ! has_version "net-firewall/conntrack-tools"; then
- elog ""
- elog "Your Shorewall firewall can utilize \"conntrack\" from the \"net-firewall/conntrack-tools\""
- elog "package. if you want to use this feature, you need to install \"net-firewall/conntrack-tools\"!"
- fi
-
- if ! has_version "dev-perl/Devel-NYTProf"; then
- elog ""
- elog "If you want to profile your Shorewall firewall you need to install \"dev-perl/Devel-NYTProf\"!"
- fi
-}
diff --git a/net-firewall/shorewall/shorewall-5.2.0.2.ebuild b/net-firewall/shorewall/shorewall-5.2.0.2.ebuild
deleted file mode 100644
index a7f7766988a..00000000000
--- a/net-firewall/shorewall/shorewall-5.2.0.2.ebuild
+++ /dev/null
@@ -1,459 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit linux-info prefix systemd versionator
-
-DESCRIPTION='A high-level tool for configuring Netfilter'
-HOMEPAGE="http://www.shorewall.net/"
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc +init +ipv4 ipv6 lite4 lite6 selinux"
-
-MY_PV=${PV/_rc/-RC}
-MY_PV=${MY_PV/_beta/-Beta}
-MY_P=${PN}-${MY_PV}
-
-MY_MAJOR_RELEASE_NUMBER=$(get_version_component_range 1-2)
-MY_MAJORMINOR_RELEASE_NUMBER=$(get_version_component_range 1-3)
-
-# shorewall
-MY_PN_IPV4=Shorewall
-MY_P_IPV4=${MY_PN_IPV4/#S/s}-${MY_PV}
-
-# shorewall6
-MY_PN_IPV6=Shorewall6
-MY_P_IPV6=${MY_PN_IPV6/#S/s}-${MY_PV}
-
-# shorewall-lite
-MY_PN_LITE4=Shorewall-lite
-MY_P_LITE4=${MY_PN_LITE4/#S/s}-${MY_PV}
-
-# shorewall6-lite
-MY_PN_LITE6=Shorewall6-lite
-MY_P_LITE6=${MY_PN_LITE6/#S/s}-${MY_PV}
-
-# shorewall-init
-MY_PN_INIT=Shorewall-init
-MY_P_INIT=${MY_PN_INIT/#S/s}-${MY_PV}
-
-# shorewall-core
-MY_PN_CORE=Shorewall-core
-MY_P_CORE=${MY_PN_CORE/#S/s}-${MY_PV}
-
-# shorewall-docs-html
-MY_PN_DOCS=Shorewall-docs-html
-MY_P_DOCS=${MY_PN_DOCS/#S/s}-${MY_PV}
-
-# Upstream URL schema:
-# Beta: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-Beta2/shorewall-4.6.4-Beta2.tar.bz2
-# RC: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-RC1/shorewall-4.6.4-RC1.tar.bz2
-# Release: $MIRROR/pub/shorewall/4.6/shorewall-4.6.3/shorewall-4.6.3.3.tar.bz2
-
-MY_URL_PREFIX=
-MY_URL_SUFFIX=
-if [[ ${MY_PV} = *-Beta* ]] || [[ ${MY_PV} = *-RC* ]]; then
- MY_URL_PREFIX='development/'
-
- _tmp_last_index=$(($(get_last_version_component_index ${MY_PV})+1))
- _tmp_suffix=$(get_version_component_range ${_tmp_last_index} ${MY_PV})
- if [[ ${_tmp_suffix} = *Beta* ]] || [[ ${_tmp_suffix} = *RC* ]]; then
- MY_URL_SUFFIX="-${_tmp_suffix}"
- fi
-
- # Cleaning up temporary variables
- unset _tmp_last_index
- unset _tmp_suffix
-else
- KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-fi
-
-SRC_URI="
- http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-core-${MY_PV}.tar.bz2
- ipv4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-${MY_PV}.tar.bz2 )
- ipv6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-${MY_PV}.tar.bz2 )
- lite4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-lite-${MY_PV}.tar.bz2 )
- lite6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-lite-${MY_PV}.tar.bz2 )
- init? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-init-${MY_PV}.tar.bz2 )
- doc? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/${MY_P_DOCS}.tar.bz2 )
-"
-
-# - Shorewall6 requires Shorewall
-# - Installing Shorewall-init or just the documentation doesn't make any sense,
-# that's why we force the user to select at least one "real" Shorewall product
-#
-# See http://shorewall.net/download.htm#Which
-REQUIRED_USE="
- ipv6? ( ipv4 )
- || ( ipv4 lite4 lite6 )
-"
-
-# No build dependencies! Just plain shell scripts...
-DEPEND=""
-
-RDEPEND="
- >=net-firewall/iptables-1.4.20
- >=sys-apps/iproute2-3.8.0[-minimal]
- >=sys-devel/bc-1.06.95
- ipv4? (
- >=dev-lang/perl-5.16
- virtual/perl-Digest-SHA
- )
- ipv6? (
- >=dev-perl/Socket6-0.230.0
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- lite6? (
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- init? ( >=sys-apps/coreutils-8.20 )
- selinux? ( >=sec-policy/selinux-shorewall-2.20161023-r3 )
- !net-firewall/shorewall-core
- !net-firewall/shorewall6
- !net-firewall/shorewall-lite
- !net-firewall/shorewall6-lite
- !net-firewall/shorewall-init
- !<sys-apps/systemd-214
-"
-
-S=${WORKDIR}
-
-pkg_pretend() {
- local CONFIG_CHECK="~NF_CONNTRACK"
-
- local WARNING_CONNTRACK="Without NF_CONNTRACK support, you will be unable"
- local WARNING_CONNTRACK+=" to run any shorewall-based firewall on the local system."
-
- if use ipv4 || use lite4; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV4"
-
- local WARNING_CONNTRACK_IPV4="Without NF_CONNTRACK_IPV4 support, you will"
- local WARNING_CONNTRACK_IPV4+=" be unable to run any shorewall-based IPv4 firewall on the local system."
- fi
-
- if use ipv6 || use lite6; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV6"
-
- local WARNING_CONNTRACK_IPV6="Without NF_CONNTRACK_IPV6 support, you will"
- local WARNING_CONNTRACK_IPV6+=" be unable to run any shorewall-based IPv6 firewall on the local system."
- fi
-
- check_extra_config
-}
-
-pkg_setup() {
- if [[ -n "${DIGEST}" ]]; then
- einfo "Unsetting environment variable \"DIGEST\" to prevent conflicts with package's \"install.sh\" script ..."
- unset DIGEST
- fi
-}
-
-src_prepare() {
- # We are moving each unpacked source from MY_P_* to MY_PN_*.
- # This allows us to use patches from upstream and keeps epatch_user working
-
- einfo "Preparing shorewallrc ..."
- cp "${FILESDIR}"/shorewallrc-r3 "${S}"/shorewallrc.gentoo || die "Copying shorewallrc failed"
- eprefixify "${S}"/shorewallrc.gentoo
- sed -i \
- -e "s|SERVICEDIR=tbs|SERVICEDIR=$(systemd_get_systemunitdir)|" \
- "${S}"/shorewallrc.gentoo || die "Failed to update shorewallrc"
-
- # shorewall-core
- mv "${S}"/${MY_P_CORE} "${S}"/${MY_PN_CORE} || die "Failed to move '${S}/${MY_P_CORE}' to '${S}/${MY_PN_CORE}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_CORE} ..."
- ln -s ../shorewallrc.gentoo ${MY_PN_CORE}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- eend 0
-
- # shorewall
- if use ipv4; then
- mv "${S}"/${MY_P_IPV4} "${S}"/${MY_PN_IPV4} || die "Failed to move '${S}/${MY_P_IPV4}' to '${S}/${MY_PN_IPV4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV4}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r3 "${S}"/${MY_PN_IPV4}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall.systemd "${S}"/${MY_PN_IPV4}/gentoo.service || die "Copying shorewall.systemd failed"
- eend 0
- fi
-
- # shorewall6
- if use ipv6; then
- mv "${S}"/${MY_P_IPV6} "${S}"/${MY_PN_IPV6} || die "Failed to move '${S}/${MY_P_IPV6}' to '${S}/${MY_PN_IPV6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV6}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r3 "${S}"/${MY_PN_IPV6}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6.systemd "${S}"/${MY_PN_IPV6}/gentoo.service || die "Copying shorewall6.systemd failed"
- eend 0
- fi
-
- # shorewall-lite
- if use lite4; then
- mv "${S}"/${MY_P_LITE4} "${S}"/${MY_PN_LITE4} || die "Failed to move '${S}/${MY_P_LITE4}' to '${S}/${MY_PN_LITE4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE4}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r3 "${S}"/${MY_PN_LITE4}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall-lite.systemd "${S}"/${MY_PN_LITE4}/gentoo.service || die "Copying shorewall-lite.systemd failed"
- eend 0
- fi
-
- # shorewall6-lite
- if use lite6; then
- mv "${S}"/${MY_P_LITE6} "${S}"/${MY_PN_LITE6} || die "Failed to move '${S}/${MY_P_LITE6}' to '${S}/${MY_PN_LITE6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE6}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r3 "${S}"/${MY_PN_LITE6}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6-lite.systemd "${S}"/${MY_PN_LITE6}/gentoo.service || die "Copying shorewall6-lite.systemd failed"
- eend 0
- fi
-
- # shorewall-init
- if use init; then
- mv "${S}"/${MY_P_INIT} "${S}"/${MY_PN_INIT} || die "Failed to move '${S}/${MY_P_INIT}' to '${S}/${MY_PN_INIT}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_INIT}"
- ln -s ../shorewallrc.gentoo ${MY_PN_INIT}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-init.confd "${S}"/${MY_PN_INIT}/default.gentoo || die "Copying shorewall-init.confd failed"
- cp "${FILESDIR}"/shorewall-init.initd "${S}"/${MY_PN_INIT}/init.gentoo.sh || die "Copying shorewall-init.initd failed"
- cp "${FILESDIR}"/shorewall-init.systemd "${S}"/${MY_PN_INIT}/gentoo.service || die "Copying shorewall-init.systemd failed"
- cp "${FILESDIR}"/shorewall-init.readme "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt || die "Copying shorewall-init.systemd failed"
- eend 0
-
- eprefixify "${S}"/${MY_PN_INIT}/init.gentoo.sh
-
- cd "${S}"/${MY_PN_INIT} || die
- eapply -p2 "${FILESDIR}"/shorewall-init-01_remove-ipset-functionality-r1.patch
- cd "${S}" || die
- fi
-
- # shorewall-docs-html
- if use doc; then
- mv "${S}"/${MY_P_DOCS} "${S}"/${MY_PN_DOCS} || die "Failed to move '${S}/${MY_P_DOCS}' to '${S}/${MY_PN_DOCS}'"
- fi
-
- eapply_user
-}
-
-src_configure() {
- :;
-}
-
-src_compile() {
- :;
-}
-
-src_install() {
- # shorewall-core
- einfo "Installing ${MY_P_CORE} ..."
- DESTDIR="${D%/}" ${MY_PN_CORE}/install.sh shorewallrc.gentoo || die "${MY_PN_CORE}/install.sh failed"
- dodoc "${S}"/${MY_PN_CORE}/changelog.txt "${S}"/${MY_PN_CORE}/releasenotes.txt
-
- # shorewall
- if use ipv4; then
- einfo "Installing ${MY_P_IPV4} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV4}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV4}/install.sh failed"
- keepdir /var/lib/shorewall
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV4}/Samples
- fi
- fi
-
- # shorewall6
- if use ipv6; then
- einfo "Installing ${MY_P_IPV6} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV6}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV6}/install.sh failed"
- keepdir /var/lib/shorewall6
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV6}/Samples6
- fi
- fi
-
- # shorewall-lite
- if use lite4; then
- einfo "Installing ${MY_P_LITE4} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE4}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE4}/install.sh failed"
- keepdir /var/lib/shorewall-lite
- fi
-
- # shorewall6-lite
- if use lite6; then
- einfo "Installing ${MY_P_LITE6} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE6}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE6}/install.sh failed"
- keepdir /var/lib/shorewall6-lite
- fi
-
- # shorewall-init
- if use init; then
- einfo "Installing ${MY_P_INIT} ..."
- DESTDIR="${D%/}" ${MY_PN_INIT}/install.sh shorewallrc.gentoo || die "${MY_PN_INIT}/install.sh failed"
- dodoc "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt
-
- if [[ -f "${D}etc/logrotate.d/shorewall-init" ]]; then
- # On Gentoo, shorewall-init will not create shorewall-ifupdown.log,
- # so we don't need a logrotate configuration file for shorewall-init
- einfo "Removing unused \"${D}etc/logrotate.d/shorewall-init\" ..."
- rm -rf "${D}"etc/logrotate.d/shorewall-init || die "Removing \"${D}etc/logrotate.d/shorewall-init\" failed"
- fi
-
- if [[ -d "${D}etc/NetworkManager" ]]; then
- # On Gentoo, we don't support NetworkManager
- # so we don't need this folder at all
- einfo "Removing unused \"${D}etc/NetworkManager\" ..."
- rm -rf "${D}"etc/NetworkManager || die "Removing \"${D}etc/NetworkManager\" failed"
- fi
-
- if [[ -f "${D}usr/share/shorewall-init/ifupdown" ]]; then
- # This script isn't supported on Gentoo
- rm -rf "${D}"usr/share/shorewall-init/ifupdown || die "Removing \"${D}usr/share/shorewall-init/ifupdown\" failed"
- fi
- fi
-
- if use doc; then
- einfo "Installing ${MY_P_DOCS} ..."
- docinto html && dodoc -r "${S}"/${MY_PN_DOCS}/*
- fi
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- # This is a new installation
-
- # Show first steps for shorewall/shorewall6
- local _PRODUCTS=""
- if use ipv4; then
- _PRODUCTS="shorewall"
-
- if use ipv6; then
- _PRODUCTS="${_PRODUCTS}/shorewall6"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- elog "Before you can use ${_PRODUCTS}, you need to edit its configuration in:"
- elog ""
- elog " /etc/shorewall/shorewall.conf"
-
- if use ipv6; then
- elog " /etc/shorewall6/shorewall6.conf"
- fi
-
- elog ""
- elog "To activate your shorewall-based firewall on system start, please add ${_PRODUCTS} to your default runlevel:"
- elog ""
- elog " # rc-update add shorewall default"
-
- if use ipv6; then
- elog " # rc-update add shorewall6 default"
- fi
- fi
-
- # Show first steps for shorewall-lite/shorewall6-lite
- _PRODUCTS=""
- if use lite4; then
- _PRODUCTS="shorewall-lite"
- fi
-
- if use lite6; then
- if [[ -z "${_PRODUCTS}" ]]; then
- _PRODUCTS="shorewall6-lite"
- else
- _PRODUCTS="${_PRODUCTS}/shorewall6-lite"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- if use ipv4; then
- elog ""
- fi
-
- elog "Before you can use ${_PRODUCTS}, you need to provide a configuration, which you can"
- elog "create using ${CATEGORY}/shorewall (with \"ipv4\" and or \"ipv6\" USE flag)."
- elog ""
- elog "To read more about ${_PRODUCTS}, please visit"
- elog " http://shorewall.net/CompiledPrograms.html"
- elog ""
- elog "To activate your shorewall-lite-based firewall on system start, please add ${PRODUCTS} to your default runlevel:"
- elog ""
-
- if use lite4; then
- elog " # rc-update add shorewall-lite default"
- fi
-
- if use lite6; then
- elog " # rc-update add shorewall6-lite default"
- fi
- fi
-
- if use init; then
- elog ""
- elog "To secure your system on boot, please add shorewall-init to your boot runlevel:"
- elog ""
- elog " # rc-update add shorewall-init boot"
- elog ""
- elog "and review \$PRODUCTS in"
- elog ""
- elog " /etc/conf.d/shorewall-init"
- fi
-
- fi
-
- local v
- for v in ${REPLACING_VERSIONS}; do
- if ! version_is_at_least ${MY_MAJOR_RELEASE_NUMBER} ${v}; then
- # This is an upgrade
-
- elog "You are upgrading from a previous major version. It is highly recommended that you read"
- elog ""
- elog " - /usr/share/doc/shorewall*/releasenotes.tx*"
- elog " - http://shorewall.net/Shorewall-5.html#idm214"
-
- if use ipv4; then
- elog ""
- elog "You can auto-migrate your configuration using"
- elog ""
- elog " # shorewall update -A"
-
- if use ipv6; then
- elog " # shorewall6 update -A"
- fi
-
- elog ""
- elog "*after* you have merged the changed files using one of the configuration"
- elog "files update tools of your choice (dispatch-conf, etc-update...)."
-
- elog ""
- elog "But if you are not familiar with the \"shorewall[6] update\" command,"
- elog "please read the shorewall[6] man page first."
- fi
-
- # Show this elog only once
- break
- fi
- done
-
- if ! use init; then
- elog ""
- elog "Consider emerging ${CATEGORY}/${PN} with USE flag \"init\" to secure your system on boot"
- elog "before your shorewall-based firewall is ready to start."
- elog ""
- elog "To read more about shorewall-init, please visit"
- elog " http://www.shorewall.net/Shorewall-init.html"
- fi
-
- if ! has_version "net-firewall/conntrack-tools"; then
- elog ""
- elog "Your Shorewall firewall can utilize \"conntrack\" from the \"net-firewall/conntrack-tools\""
- elog "package. if you want to use this feature, you need to install \"net-firewall/conntrack-tools\"!"
- fi
-
- if ! has_version "dev-perl/Devel-NYTProf"; then
- elog ""
- elog "If you want to profile your Shorewall firewall you need to install \"dev-perl/Devel-NYTProf\"!"
- fi
-}
diff --git a/net-firewall/shorewall/shorewall-5.2.0.3.ebuild b/net-firewall/shorewall/shorewall-5.2.0.3.ebuild
deleted file mode 100644
index a7f7766988a..00000000000
--- a/net-firewall/shorewall/shorewall-5.2.0.3.ebuild
+++ /dev/null
@@ -1,459 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit linux-info prefix systemd versionator
-
-DESCRIPTION='A high-level tool for configuring Netfilter'
-HOMEPAGE="http://www.shorewall.net/"
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc +init +ipv4 ipv6 lite4 lite6 selinux"
-
-MY_PV=${PV/_rc/-RC}
-MY_PV=${MY_PV/_beta/-Beta}
-MY_P=${PN}-${MY_PV}
-
-MY_MAJOR_RELEASE_NUMBER=$(get_version_component_range 1-2)
-MY_MAJORMINOR_RELEASE_NUMBER=$(get_version_component_range 1-3)
-
-# shorewall
-MY_PN_IPV4=Shorewall
-MY_P_IPV4=${MY_PN_IPV4/#S/s}-${MY_PV}
-
-# shorewall6
-MY_PN_IPV6=Shorewall6
-MY_P_IPV6=${MY_PN_IPV6/#S/s}-${MY_PV}
-
-# shorewall-lite
-MY_PN_LITE4=Shorewall-lite
-MY_P_LITE4=${MY_PN_LITE4/#S/s}-${MY_PV}
-
-# shorewall6-lite
-MY_PN_LITE6=Shorewall6-lite
-MY_P_LITE6=${MY_PN_LITE6/#S/s}-${MY_PV}
-
-# shorewall-init
-MY_PN_INIT=Shorewall-init
-MY_P_INIT=${MY_PN_INIT/#S/s}-${MY_PV}
-
-# shorewall-core
-MY_PN_CORE=Shorewall-core
-MY_P_CORE=${MY_PN_CORE/#S/s}-${MY_PV}
-
-# shorewall-docs-html
-MY_PN_DOCS=Shorewall-docs-html
-MY_P_DOCS=${MY_PN_DOCS/#S/s}-${MY_PV}
-
-# Upstream URL schema:
-# Beta: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-Beta2/shorewall-4.6.4-Beta2.tar.bz2
-# RC: $MIRROR/pub/shorewall/development/4.6/shorewall-4.6.4-RC1/shorewall-4.6.4-RC1.tar.bz2
-# Release: $MIRROR/pub/shorewall/4.6/shorewall-4.6.3/shorewall-4.6.3.3.tar.bz2
-
-MY_URL_PREFIX=
-MY_URL_SUFFIX=
-if [[ ${MY_PV} = *-Beta* ]] || [[ ${MY_PV} = *-RC* ]]; then
- MY_URL_PREFIX='development/'
-
- _tmp_last_index=$(($(get_last_version_component_index ${MY_PV})+1))
- _tmp_suffix=$(get_version_component_range ${_tmp_last_index} ${MY_PV})
- if [[ ${_tmp_suffix} = *Beta* ]] || [[ ${_tmp_suffix} = *RC* ]]; then
- MY_URL_SUFFIX="-${_tmp_suffix}"
- fi
-
- # Cleaning up temporary variables
- unset _tmp_last_index
- unset _tmp_suffix
-else
- KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
-fi
-
-SRC_URI="
- http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-core-${MY_PV}.tar.bz2
- ipv4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-${MY_PV}.tar.bz2 )
- ipv6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-${MY_PV}.tar.bz2 )
- lite4? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-lite-${MY_PV}.tar.bz2 )
- lite6? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall6-lite-${MY_PV}.tar.bz2 )
- init? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/shorewall-init-${MY_PV}.tar.bz2 )
- doc? ( http://www.shorewall.net/pub/shorewall/${MY_URL_PREFIX}${MY_MAJOR_RELEASE_NUMBER}/shorewall-${MY_MAJORMINOR_RELEASE_NUMBER}${MY_URL_SUFFIX}/${MY_P_DOCS}.tar.bz2 )
-"
-
-# - Shorewall6 requires Shorewall
-# - Installing Shorewall-init or just the documentation doesn't make any sense,
-# that's why we force the user to select at least one "real" Shorewall product
-#
-# See http://shorewall.net/download.htm#Which
-REQUIRED_USE="
- ipv6? ( ipv4 )
- || ( ipv4 lite4 lite6 )
-"
-
-# No build dependencies! Just plain shell scripts...
-DEPEND=""
-
-RDEPEND="
- >=net-firewall/iptables-1.4.20
- >=sys-apps/iproute2-3.8.0[-minimal]
- >=sys-devel/bc-1.06.95
- ipv4? (
- >=dev-lang/perl-5.16
- virtual/perl-Digest-SHA
- )
- ipv6? (
- >=dev-perl/Socket6-0.230.0
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- lite6? (
- >=net-firewall/iptables-1.4.20[ipv6]
- >=sys-apps/iproute2-3.8.0[ipv6]
- )
- init? ( >=sys-apps/coreutils-8.20 )
- selinux? ( >=sec-policy/selinux-shorewall-2.20161023-r3 )
- !net-firewall/shorewall-core
- !net-firewall/shorewall6
- !net-firewall/shorewall-lite
- !net-firewall/shorewall6-lite
- !net-firewall/shorewall-init
- !<sys-apps/systemd-214
-"
-
-S=${WORKDIR}
-
-pkg_pretend() {
- local CONFIG_CHECK="~NF_CONNTRACK"
-
- local WARNING_CONNTRACK="Without NF_CONNTRACK support, you will be unable"
- local WARNING_CONNTRACK+=" to run any shorewall-based firewall on the local system."
-
- if use ipv4 || use lite4; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV4"
-
- local WARNING_CONNTRACK_IPV4="Without NF_CONNTRACK_IPV4 support, you will"
- local WARNING_CONNTRACK_IPV4+=" be unable to run any shorewall-based IPv4 firewall on the local system."
- fi
-
- if use ipv6 || use lite6; then
- CONFIG_CHECK="${CONFIG_CHECK} ~NF_CONNTRACK_IPV6"
-
- local WARNING_CONNTRACK_IPV6="Without NF_CONNTRACK_IPV6 support, you will"
- local WARNING_CONNTRACK_IPV6+=" be unable to run any shorewall-based IPv6 firewall on the local system."
- fi
-
- check_extra_config
-}
-
-pkg_setup() {
- if [[ -n "${DIGEST}" ]]; then
- einfo "Unsetting environment variable \"DIGEST\" to prevent conflicts with package's \"install.sh\" script ..."
- unset DIGEST
- fi
-}
-
-src_prepare() {
- # We are moving each unpacked source from MY_P_* to MY_PN_*.
- # This allows us to use patches from upstream and keeps epatch_user working
-
- einfo "Preparing shorewallrc ..."
- cp "${FILESDIR}"/shorewallrc-r3 "${S}"/shorewallrc.gentoo || die "Copying shorewallrc failed"
- eprefixify "${S}"/shorewallrc.gentoo
- sed -i \
- -e "s|SERVICEDIR=tbs|SERVICEDIR=$(systemd_get_systemunitdir)|" \
- "${S}"/shorewallrc.gentoo || die "Failed to update shorewallrc"
-
- # shorewall-core
- mv "${S}"/${MY_P_CORE} "${S}"/${MY_PN_CORE} || die "Failed to move '${S}/${MY_P_CORE}' to '${S}/${MY_PN_CORE}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_CORE} ..."
- ln -s ../shorewallrc.gentoo ${MY_PN_CORE}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- eend 0
-
- # shorewall
- if use ipv4; then
- mv "${S}"/${MY_P_IPV4} "${S}"/${MY_PN_IPV4} || die "Failed to move '${S}/${MY_P_IPV4}' to '${S}/${MY_PN_IPV4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV4}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r3 "${S}"/${MY_PN_IPV4}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall.systemd "${S}"/${MY_PN_IPV4}/gentoo.service || die "Copying shorewall.systemd failed"
- eend 0
- fi
-
- # shorewall6
- if use ipv6; then
- mv "${S}"/${MY_P_IPV6} "${S}"/${MY_PN_IPV6} || die "Failed to move '${S}/${MY_P_IPV6}' to '${S}/${MY_PN_IPV6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_IPV6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_IPV6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall.confd-r1 "${S}"/${MY_PN_IPV6}/default.gentoo || die "Copying shorewall.confd-r1 failed"
- cp "${FILESDIR}"/shorewall.initd-r3 "${S}"/${MY_PN_IPV6}/init.gentoo.sh || die "Copying shorewall.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6.systemd "${S}"/${MY_PN_IPV6}/gentoo.service || die "Copying shorewall6.systemd failed"
- eend 0
- fi
-
- # shorewall-lite
- if use lite4; then
- mv "${S}"/${MY_P_LITE4} "${S}"/${MY_PN_LITE4} || die "Failed to move '${S}/${MY_P_LITE4}' to '${S}/${MY_PN_LITE4}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE4}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE4}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE4}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r3 "${S}"/${MY_PN_LITE4}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall-lite.systemd "${S}"/${MY_PN_LITE4}/gentoo.service || die "Copying shorewall-lite.systemd failed"
- eend 0
- fi
-
- # shorewall6-lite
- if use lite6; then
- mv "${S}"/${MY_P_LITE6} "${S}"/${MY_PN_LITE6} || die "Failed to move '${S}/${MY_P_LITE6}' to '${S}/${MY_PN_LITE6}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_LITE6}"
- ln -s ../shorewallrc.gentoo ${MY_PN_LITE6}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-lite.confd-r1 "${S}"/${MY_PN_LITE6}/default.gentoo || die "Copying shorewall-lite.confd-r1 failed"
- cp "${FILESDIR}"/shorewall-lite.initd-r3 "${S}"/${MY_PN_LITE6}/init.gentoo.sh || die "Copying shorewall-lite.initd-r2 failed"
- cp "${FILESDIR}"/shorewall6-lite.systemd "${S}"/${MY_PN_LITE6}/gentoo.service || die "Copying shorewall6-lite.systemd failed"
- eend 0
- fi
-
- # shorewall-init
- if use init; then
- mv "${S}"/${MY_P_INIT} "${S}"/${MY_PN_INIT} || die "Failed to move '${S}/${MY_P_INIT}' to '${S}/${MY_PN_INIT}'"
- ebegin "Applying Gentoo-specific changes to ${MY_P_INIT}"
- ln -s ../shorewallrc.gentoo ${MY_PN_INIT}/shorewallrc.gentoo || die "Failed to symlink shorewallrc.gentoo"
- cp "${FILESDIR}"/shorewall-init.confd "${S}"/${MY_PN_INIT}/default.gentoo || die "Copying shorewall-init.confd failed"
- cp "${FILESDIR}"/shorewall-init.initd "${S}"/${MY_PN_INIT}/init.gentoo.sh || die "Copying shorewall-init.initd failed"
- cp "${FILESDIR}"/shorewall-init.systemd "${S}"/${MY_PN_INIT}/gentoo.service || die "Copying shorewall-init.systemd failed"
- cp "${FILESDIR}"/shorewall-init.readme "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt || die "Copying shorewall-init.systemd failed"
- eend 0
-
- eprefixify "${S}"/${MY_PN_INIT}/init.gentoo.sh
-
- cd "${S}"/${MY_PN_INIT} || die
- eapply -p2 "${FILESDIR}"/shorewall-init-01_remove-ipset-functionality-r1.patch
- cd "${S}" || die
- fi
-
- # shorewall-docs-html
- if use doc; then
- mv "${S}"/${MY_P_DOCS} "${S}"/${MY_PN_DOCS} || die "Failed to move '${S}/${MY_P_DOCS}' to '${S}/${MY_PN_DOCS}'"
- fi
-
- eapply_user
-}
-
-src_configure() {
- :;
-}
-
-src_compile() {
- :;
-}
-
-src_install() {
- # shorewall-core
- einfo "Installing ${MY_P_CORE} ..."
- DESTDIR="${D%/}" ${MY_PN_CORE}/install.sh shorewallrc.gentoo || die "${MY_PN_CORE}/install.sh failed"
- dodoc "${S}"/${MY_PN_CORE}/changelog.txt "${S}"/${MY_PN_CORE}/releasenotes.txt
-
- # shorewall
- if use ipv4; then
- einfo "Installing ${MY_P_IPV4} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV4}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV4}/install.sh failed"
- keepdir /var/lib/shorewall
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV4}/Samples
- fi
- fi
-
- # shorewall6
- if use ipv6; then
- einfo "Installing ${MY_P_IPV6} ..."
- DESTDIR="${D%/}" ${MY_PN_IPV6}/install.sh shorewallrc.gentoo || die "${MY_PN_IPV6}/install.sh failed"
- keepdir /var/lib/shorewall6
-
- if use doc; then
- dodoc -r "${S}"/${MY_PN_IPV6}/Samples6
- fi
- fi
-
- # shorewall-lite
- if use lite4; then
- einfo "Installing ${MY_P_LITE4} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE4}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE4}/install.sh failed"
- keepdir /var/lib/shorewall-lite
- fi
-
- # shorewall6-lite
- if use lite6; then
- einfo "Installing ${MY_P_LITE6} ..."
- DESTDIR="${D%/}" ${MY_PN_LITE6}/install.sh shorewallrc.gentoo || die "${MY_PN_LITE6}/install.sh failed"
- keepdir /var/lib/shorewall6-lite
- fi
-
- # shorewall-init
- if use init; then
- einfo "Installing ${MY_P_INIT} ..."
- DESTDIR="${D%/}" ${MY_PN_INIT}/install.sh shorewallrc.gentoo || die "${MY_PN_INIT}/install.sh failed"
- dodoc "${S}"/${MY_PN_INIT}/shorewall-init.README.Gentoo.txt
-
- if [[ -f "${D}etc/logrotate.d/shorewall-init" ]]; then
- # On Gentoo, shorewall-init will not create shorewall-ifupdown.log,
- # so we don't need a logrotate configuration file for shorewall-init
- einfo "Removing unused \"${D}etc/logrotate.d/shorewall-init\" ..."
- rm -rf "${D}"etc/logrotate.d/shorewall-init || die "Removing \"${D}etc/logrotate.d/shorewall-init\" failed"
- fi
-
- if [[ -d "${D}etc/NetworkManager" ]]; then
- # On Gentoo, we don't support NetworkManager
- # so we don't need this folder at all
- einfo "Removing unused \"${D}etc/NetworkManager\" ..."
- rm -rf "${D}"etc/NetworkManager || die "Removing \"${D}etc/NetworkManager\" failed"
- fi
-
- if [[ -f "${D}usr/share/shorewall-init/ifupdown" ]]; then
- # This script isn't supported on Gentoo
- rm -rf "${D}"usr/share/shorewall-init/ifupdown || die "Removing \"${D}usr/share/shorewall-init/ifupdown\" failed"
- fi
- fi
-
- if use doc; then
- einfo "Installing ${MY_P_DOCS} ..."
- docinto html && dodoc -r "${S}"/${MY_PN_DOCS}/*
- fi
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- # This is a new installation
-
- # Show first steps for shorewall/shorewall6
- local _PRODUCTS=""
- if use ipv4; then
- _PRODUCTS="shorewall"
-
- if use ipv6; then
- _PRODUCTS="${_PRODUCTS}/shorewall6"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- elog "Before you can use ${_PRODUCTS}, you need to edit its configuration in:"
- elog ""
- elog " /etc/shorewall/shorewall.conf"
-
- if use ipv6; then
- elog " /etc/shorewall6/shorewall6.conf"
- fi
-
- elog ""
- elog "To activate your shorewall-based firewall on system start, please add ${_PRODUCTS} to your default runlevel:"
- elog ""
- elog " # rc-update add shorewall default"
-
- if use ipv6; then
- elog " # rc-update add shorewall6 default"
- fi
- fi
-
- # Show first steps for shorewall-lite/shorewall6-lite
- _PRODUCTS=""
- if use lite4; then
- _PRODUCTS="shorewall-lite"
- fi
-
- if use lite6; then
- if [[ -z "${_PRODUCTS}" ]]; then
- _PRODUCTS="shorewall6-lite"
- else
- _PRODUCTS="${_PRODUCTS}/shorewall6-lite"
- fi
- fi
-
- if [[ -n "${_PRODUCTS}" ]]; then
- if use ipv4; then
- elog ""
- fi
-
- elog "Before you can use ${_PRODUCTS}, you need to provide a configuration, which you can"
- elog "create using ${CATEGORY}/shorewall (with \"ipv4\" and or \"ipv6\" USE flag)."
- elog ""
- elog "To read more about ${_PRODUCTS}, please visit"
- elog " http://shorewall.net/CompiledPrograms.html"
- elog ""
- elog "To activate your shorewall-lite-based firewall on system start, please add ${PRODUCTS} to your default runlevel:"
- elog ""
-
- if use lite4; then
- elog " # rc-update add shorewall-lite default"
- fi
-
- if use lite6; then
- elog " # rc-update add shorewall6-lite default"
- fi
- fi
-
- if use init; then
- elog ""
- elog "To secure your system on boot, please add shorewall-init to your boot runlevel:"
- elog ""
- elog " # rc-update add shorewall-init boot"
- elog ""
- elog "and review \$PRODUCTS in"
- elog ""
- elog " /etc/conf.d/shorewall-init"
- fi
-
- fi
-
- local v
- for v in ${REPLACING_VERSIONS}; do
- if ! version_is_at_least ${MY_MAJOR_RELEASE_NUMBER} ${v}; then
- # This is an upgrade
-
- elog "You are upgrading from a previous major version. It is highly recommended that you read"
- elog ""
- elog " - /usr/share/doc/shorewall*/releasenotes.tx*"
- elog " - http://shorewall.net/Shorewall-5.html#idm214"
-
- if use ipv4; then
- elog ""
- elog "You can auto-migrate your configuration using"
- elog ""
- elog " # shorewall update -A"
-
- if use ipv6; then
- elog " # shorewall6 update -A"
- fi
-
- elog ""
- elog "*after* you have merged the changed files using one of the configuration"
- elog "files update tools of your choice (dispatch-conf, etc-update...)."
-
- elog ""
- elog "But if you are not familiar with the \"shorewall[6] update\" command,"
- elog "please read the shorewall[6] man page first."
- fi
-
- # Show this elog only once
- break
- fi
- done
-
- if ! use init; then
- elog ""
- elog "Consider emerging ${CATEGORY}/${PN} with USE flag \"init\" to secure your system on boot"
- elog "before your shorewall-based firewall is ready to start."
- elog ""
- elog "To read more about shorewall-init, please visit"
- elog " http://www.shorewall.net/Shorewall-init.html"
- fi
-
- if ! has_version "net-firewall/conntrack-tools"; then
- elog ""
- elog "Your Shorewall firewall can utilize \"conntrack\" from the \"net-firewall/conntrack-tools\""
- elog "package. if you want to use this feature, you need to install \"net-firewall/conntrack-tools\"!"
- fi
-
- if ! has_version "dev-perl/Devel-NYTProf"; then
- elog ""
- elog "If you want to profile your Shorewall firewall you need to install \"dev-perl/Devel-NYTProf\"!"
- fi
-}